<?php

use Drupal\views\ViewExecutable;
use Drupal\views\Plugin\views\display\DisplayPluginBase;

/**
 * Implements hook_views_data().
 */
function simple_favs_views_data() {
  $data = [];

  $data['node']['simple_favs_heart_field'] = [
    'title' => t('Favourite heart'),
    'help' => t('Displays a heart icon for favourites.'),
    'field' => [
      'id' => 'simple_favs_views_heart',
      'real field' => 'nid', // This tells Views to get `node.nid`.
      'click sortable' => FALSE,
    ],
  ];

  return $data;
}

